View Issue Details

IDProjectCategoryView StatusLast Update
0001573SymmetricDSBugpublic2014-02-15 14:20
ReporterelongAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.0 
Target Version3.5.17Fixed in Version3.5.17 
Summary0001573: Peek ahead window smaller than expected
DescriptionOn batches containing a small number of transactions with a large number of rows, the peek ahead window is not filled with its max size to continue looking for rows within the same transaction. This can cause 1) a transaction to be broken up between multiple batches, 2) data to load out of order.
Steps To ReproduceUser story: One transaction of 425 headers and 9932 lines are committed. The channel has a max batch size and routing size set to 9000. The peek ahead window is 2000. Some lines try to load in a batch ahead of the headers.
Additional InformationThe current definition of the peek ahead window:

"This is the maximum number of events that will be peeked at to look for additional transaction rows after the max batch size is reached."

routing.peek.ahead.window.after.max.size=2000
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 89e3ff94

2014-02-12 19:36:33

chenson

Details Diff
0001573: Peek ahead window smaller than expected
0001573
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File

Issue History

Date Modified Username Field Change
2014-02-12 08:30 elong New Issue
2014-02-12 08:30 elong Status new => assigned
2014-02-12 08:30 elong Assigned To => chenson
2014-02-12 19:37 chenson Status assigned => resolved
2014-02-12 19:37 chenson Fixed in Version => 3.5.17
2014-02-12 19:37 chenson Resolution open => fixed
2014-02-12 20:00 Changeset attached => SymmetricDS trunk r7940
2014-02-15 14:20 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 89e3ff94